import { Construct, IConstruct } from "constructs";
/**
 * @experimental
 */
export interface IParent extends IConstruct {
    /**
     * (experimental) The unique identifier (ID) of the parent root or organizational unit (OU) that you want to create the new OU in.
     *
     * @experimental
     */
    identifier(): string;
}
/**
 * @experimental
 */
export interface IChild extends IConstruct {
    /**
     * (experimental) The unique identifier (ID) of the account or organizational unit (OU) that you want to retrieve the parent for.
     *
     * @experimental
     */
    identifier(): string;
}
/**
 * @experimental
 */
export interface ParentProps {
    /**
     * @experimental
     */
    readonly child: IChild;
}
/**
 * @experimental
 */
export interface ParentBaseProps {
    /**
     * @experimental
     */
    readonly childId: string;
}
/**
 * @experimental
 */
export declare abstract class ParentBase extends Construct implements IParent {
    /**
     * @experimental
     */
    readonly parentId: string;
    /**
     * @experimental
     */
    protected constructor(scope: Construct, id: string, props: ParentBaseProps);
    /**
     * (experimental) The unique identifier (ID) of the parent root or organizational unit (OU) that you want to create the new OU in.
     *
     * @experimental
     */
    identifier(): string;
}
/**
 * @experimental
 */
export declare class Parent extends ParentBase {
    /**
     * @experimental
     */
    static fromChildId(scope: Construct, id: string, childId: string): IParent;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: ParentProps);
}
