import { Construct, IDependable } from "constructs";
import { Policy } from "./policy";
/**
 * @experimental
 */
export interface IPolicyAttachmentTarget extends IDependable {
    /**
     * @experimental
     */
    identifier(): string;
}
/**
 * @experimental
 */
export interface PolicyAttachmentProps {
    /**
     * (experimental) The root, OU, or account that you want to attach the policy to.
     *
     * @experimental
     */
    readonly target: IPolicyAttachmentTarget;
    /**
     * (experimental) The policy that you want to attach to the target.
     *
     * @experimental
     */
    readonly policy: Policy;
}
/**
 * (experimental) Attaches a policy to a root, an organizational unit (OU), or an individual account.
 *
 * How the policy affects accounts depends on the type of policy. Refer to the AWS Organizations User Guide for information about each policy type:
 *
 * @experimental
 */
export declare class PolicyAttachment extends Construct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: PolicyAttachmentProps);
}
