import { ITaggable } from "aws-cdk-lib";
import { Construct } from "constructs";
/**
 * @experimental
 */
export interface ITaggableResource extends ITaggable {
    /**
     * (experimental) The unique identifier (ID) of the account, Organizational unit (OU), parent root or Policy (any type) that you want to tag.
     *
     * @experimental
     */
    identifier(): string;
}
/**
 * @experimental
 */
export interface TagResourceProps {
    /**
     * @experimental
     */
    readonly resource: ITaggableResource;
}
/**
 * (experimental) Add tags to an AWS Organizations resource to make it easier to identify, organize, and search.
 *
 * @see https://docs.aws.amazon.com/ARG/latest/APIReference/API_Tag.html
 * @experimental
 */
export declare class TagResource extends Construct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: TagResourceProps);
}
